Page MenuHomeFreeBSD

New port: devel/gogs: Painless self-hosted Git service
ClosedPublic

Authored by yuri on Nov 18 2017, 6:51 AM.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

devel/gogs/Makefile
37 ↗(On Diff #35399)

^ add GOGS_DBDIR and GOGS_LOGDIR, see comment in gogs-rm-data.in

devel/gogs/files/gogs-rm-data.in
20 ↗(On Diff #35399)
devel/gogs/pkg-plist
3 ↗(On Diff #35399)

^ Section 7.6.13.1. -- you can combine this to
@(%%GOCS_USER%%, %%GOGS_GROUP%%, 640) libexec/gogs/custom/conf/app.ini
this is much easier to handle when the plist changes :)

1725 ↗(On Diff #35399)

^ should not be necessary as it is non-empty and in prefix

dmgk added inline comments.
devel/gogs/pkg-plist
1725 ↗(On Diff #35399)

It's needed because gogs user has to be able to create (temp) files in this dir when editing app settings from inside the app.

devel/gogs/pkg-plist
1725 ↗(On Diff #35399)

sorry, I overloked the mode change operations on the directory

yuri marked 6 inline comments as done.

Requested changes.

devel/gogs/pkg-plist
3 ↗(On Diff #35417)

A typo, should be GOGS_USER

yuri marked an inline comment as done.Nov 18 2017, 5:40 PM
yuri added inline comments.
devel/gogs/pkg-plist
3 ↗(On Diff #35417)

Good catch! Thanks!

yuri marked an inline comment as done.

.

yuri marked an inline comment as done.Nov 18 2017, 5:40 PM
devel/gogs/Makefile
34 ↗(On Diff #35419)

This isn't right. This port installs into PREFIX, not LOCALBASE. LOCALBASE is where the dependencies have been installed.

yuri marked an inline comment as done.Nov 18 2017, 6:15 PM

This breaks in pkg install:

@(%%GOGS_USER%%, %%GOGS_GROUP%%, 640) libexec/gogs/custom/conf/app.ini

with this error:

pkg-static: Malformed keyword (gogs,, expecting @keyword or @keyword(owner,group,mode)

The file work/.PLIST.mktmp has this line: @(gogs, gogs, 640) libexec/gogs/custom/conf/app.ini - it looks to be correctly expanded.

There is some bug which I didn't figure out yet.

The port devel/flyspray does a similar thing in pkg-plist, but it doesn't break like this.

The difference with devel/flyspray is that gogs creates the user/group combination, and flyspray doesn't. This might be a bug in pkg.

I suggest to roll this change back until it is figured out, so that gogs can be committed.

Bug for pkg can be created with gogs as an example once it is committed.

Removed spaces in macro in pkg-plist.

devel/gogs/Makefile
23 ↗(On Diff #35425)

^ I'm a bit confused. The user is already present in the UIDs/GIDs -- are you sure this port is not already present somehwere? :D

r408986 | pi | 2016-02-16 12:04:10 +0100 (Di., 16 Feb. 2016) | 5 lines

devel/gogs (new port, not yet in the tree): reserve UIDs and GIDs

that clears that up nicely.

yuri added inline comments.
devel/gogs/Makefile
23 ↗(On Diff #35425)

I originally submitted this port with the suggestion of UID/GID addition. UID/GID must have been added back then.

This port isn't yet present anywhere. -)

I'm fine with this, as long as @adamw has nothing more to add.

This revision is now accepted and ready to land.Nov 19 2017, 10:07 PM

I'm fine with this, as long as @adamw has nothing more to add.

I will wait for @adamw to confirm then.

This revision was automatically updated to reflect the committed changes.
head/devel/gogs/Makefile
69–71

Both LN should probably be using ${RLN} instead.

head/devel/gogs/Makefile
69–71

GOGS_DBDIR and GOGS_LOGDIR are outside of PREFIX (by default).

yuri added inline comments.
head/devel/gogs/Makefile
69–71

@mat Do you still want to reopen this?

https://www.freebsd.org/doc/en/books/porters-handbook/special.html#staging-symlink

You can double check the above document ^ . If there _is_ something to fix, fix it :)

https://www.freebsd.org/doc/en/books/porters-handbook/special.html#staging-symlink

You can double check the above document ^ . If there _is_ something to fix, fix it :)

The above link leads to the conclusion that there's nothing to fix. -)

In D13141#275859, @yuri wrote:

https://www.freebsd.org/doc/en/books/porters-handbook/special.html#staging-symlink

You can double check the above document ^ . If there _is_ something to fix, fix it :)

The above link leads to the conclusion that there's nothing to fix. -)

You have your answer then :)

head/devel/gogs/Makefile
69–71

No, I did not notice they were outside of PREFIX.